#include <bits/stdc++.h>
#define ll long long int
#define pi pair<int, int>
#define pb push_back

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    ll n, L;
    cin>>n>>L;
    vector<ll> stalaktiti;
    ll unos;
    for(int i=0; i<n; i++)
    {
        cin>>unos;
        stalaktiti.pb(unos);
    }
    for(int i=0; i<n; i++)
    {
        if(L>=stalaktiti[i])
        {
            cout<<i+1;
            return 0;
        }
    }
    cout<<-1;
    return 0;
}